Willkommen im kivitendo Forum! Hier erweitern und teilen AnwenderInnen und EntwicklerInnen ihr Wissen.

Teste kivitendo!

kivitendo Demo

kivitendo Demo mit Schweizer Kontenplan und neuem Layout

Geld allein macht nicht glücklich - benutzt kivitendo!

0 Punkte

Hallo beim Update von Kivitendo 3.5.5 auf 3.6.1 kommt bei mir die Fehlermeldung:

Fehler in Datenbankupgradekontrolldatei 'release_3_5_6.sql': Unbekannte Abhängigkeit 'konjunkturpaket_2020'.

Entsprechende Veränderungen im Kontenrahmen hatte ich manuell durchgeführt.

Entsprechend der Update-Dok führte ich daher vor dem Upgrade folgenden Befehl ausgeführt:

sed -i 's/ignore: 0/ignore: 1/g' sql/Pg-upgrade2/konjunkturpaket_2020*

Komme nicht weiter.

Nachtrag: Ich möchte deaktiveren dass Korrekturen bzgl. des Konjunkturpakets an meinem Kontenrahmen gemacht werden. Die oben angeführte Lösung funktioniert nicht, denn dann treten Abhängigkeitsprobleme auf :-(

Wie kann ich das lösen?

Gefragt von (70 Punkte)
Bearbeitet von

1 Antwort

0 Punkte
 
Beste Antwort

Hallo Günter,

ich weiß nicht, wie weit Du da unter der Haube schrauben kannst oder willst.

Du könntest evtl. alle die Dateien sql/Pg-upgrade2/konjunkturpaket_2020* (4 Stück?) bis auf die ersten vier Zeilen leer machen (und ignore: 0 wieder herstellen), Dann sollte beim EInloggen das Upgrade ausgeführt, die Dateien registriert, aber nichts mehr von diesen geändert werden.

Oder Du könntest direkt in die Datenbank schreiben. Die Tabelle heißt schema_info. Da müsten dann die Tags rein, die in den Dateien oben stehen.

Probiert habe ich das ganze nicht. Vielleicht fragst Du auch bei einem Dienstleister an.

Viele Grüße
Bernd

Beantwortet von (5.2k Punkte)
ausgewählt von

Hallo Bernd,

ich habe deinen Vorschlag angenommen und bis auf die ersten vier Zeilen alles in den entsprechenden Dateien gelöscht. Ganz zufrieden bin ich mit der Lösung nicht, doch immerhin: So hat es funktioniert. Danach kam gleich das nächste Problem. Beim Versuch die Rechnungen zu generieren, kamen jede Menge Fehlermeldungen. ZugFed in der Mandantenkonfiguration deaktiviert und es hat wieder funktioniert.

Vielen Dank für deine Hilfe und einen schönen Abend noch.

Beste Grüße aus dem Allgäu
Günter

Hallo zusammen,
ich hab den Hinweis in der UPGRADE Datei nochmal erweitert, somit sind es zwei sed Kommandos, die ausgeführt werden sollten, s.a. Commit 588a19dc9.

 sed -i 's/\bkonjunktur[^ ]*//g' sql/Pg-upgrade2/release_3_5_*

Damit wird die Überprüfung ob die SQL-Upgrade-Skripte gelaufen sind aus dem Test für die Version entfernt.,

Gruß

Ähnliche Fragen

0 Punkte
1 Antwort
0 Punkte
0 Antworten
Gefragt 29, Dez 2017 von quercus (20 Punkte)
0 Punkte
1 Antwort
0 Punkte
1 Antwort
Gefragt 13, Feb 2020 von turtle (2.5k Punkte)
...